from flask import current_app, jsonify, request
from flask_restful import Resource
from flask_restful.reqparse import RequestParser
from flask_jwt_extended import ( jwt_required, get_jwt_identity )
from application.signal_manager import signalManager
<<<<<<< HEAD
from models.login import getListLoginSchema,getLoginSchema
=======
from models.login import postLoginSchema,getListLoginSchema,getListLoginsSchema,getLoginSchema
from webcreator.log import logger
>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
from webcreator.response import ResponseCode, response_result

class LoginResourceList(Resource):
    def __init__(self):
        pass
        # 特殊参数，即不是从json获取参数的接口，可以将这个注释打开
        # self.parser = RequestParser()

    def get(self):
        # 特殊参数，即不是从json获取参数的接口，可以将这个注释打开
        # self.parser.add_argument("page", type=int, location="args", default=1)
        # self.parser.add_argument("pageSize", type=int, location="args", default=15)
        # args = self.parser.parse_args()

        try:
            json_payload = request.json
<<<<<<< HEAD
            print("========>", json_payload)
            data = getListLoginSchema.load(json_payload)
            result = signalManager.actionGetLogin.emit(**data)
            json_dumps = getListLoginSchema.dump(result)
            return jsonify(json_dumps), 200
=======
            logger.warn(json_payload)
            data = getListLoginSchema.load(json_payload)
            result = signalManager.actionGetListLogin.emit(data)
            json_dumps = getListLoginSchema.dump(result)
            if result[0]:
                json_dumps = getListLoginsSchema.dump(result[1])
                logger.warn(json_dumps)
                return response_result(ResponseCode.OK, data=json_dumps, count=result[2])
            return response_result(ResponseCode.REQUEST_ERROR)
>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
        except Exception as e:
            current_app.logger.error(e)
            return response_result(ResponseCode.DB_ERROR)

<<<<<<< HEAD
=======
    def post(self):
        try:
            json_payload = request.json
            data = postLoginSchema.load(json_payload)
            result = signalManager.actionPostLogin.emit(data)
            if result[0] == False:
                # json_dumps = postLoginSchema.dump(result)
                return response_result(ResponseCode.REQUEST_ERROR, msg=result[1])
            logger.warn(result)
            return response_result(ResponseCode.OK)
        except Exception as e:
            current_app.logger.error(e)
            return response_result(ResponseCode.DB_ERROR)


>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
class LoginResource(Resource):
    def __init__(self):
        pass
        # 特殊参数，即不是从json获取参数的接口，可以将这个注释打开
        # self.parser = RequestParser()

<<<<<<< HEAD
    @jwt_required
=======
    @jwt_required(locations=["headers"])
>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
    def get(self, uuid):
        # 特殊参数，即不是从json获取参数的接口，可以将这个注释打开
        # self.parser.add_argument("page", type=int, location="args", default=1)
        # self.parser.add_argument("pageSize", type=int, location="args", default=15)
        # args = self.parser.parse_args()

        try:
            json_payload = request.json
            print("========>", uuid, json_payload)
            data = getLoginSchema.load(json_payload)
<<<<<<< HEAD
            result = signalManager.actionGetLogin.emit(**data)
            json_dumps = getLoginSchema.dump(result)
            return jsonify(json_dumps), 200
=======
            result = signalManager.actionGetLogin.emit(uuid, data)
            if result[0]:
                json_dumps = getLoginSchema.dump(result[1])
                return response_result(ResponseCode.OK, data=json_dumps)
            return response_result(ResponseCode.NO_DATA)
>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
        except Exception as e:
            current_app.logger.error(e)
            return response_result(ResponseCode.DB_ERROR)
